#ifndef __CHUNK_H__
#define __CHUNK_H__

#include "vector.h"
#include <stdint.h>

#define WIDTH 16
#define HEIGHT 256

typedef uint8_t Chunk[HEIGHT * WIDTH * WIDTH];

vector3 index_to_coord(int i);
int coord_to_index(vector3 pos);
int get_block_at(Chunk chunk, vector3 pos);

#endif
