#ifndef __FACES_H__
#define __FACES_H__

#include <raylib.h>
#include "vector.h"

#define ATLAS_SIZE 256
#define TEXTURE_SIZE 16
#define ATLAS_FIT (ATLAS_SIZE / TEXTURE_SIZE)

void add_face(Mesh* mesh, vector3* face, vector2* tex, int block_id, vector3 pos);

extern vector3 left[];
extern vector3 right[];
extern vector3 top[];
extern vector3 bottom[];
extern vector3 back[];
extern vector3 front[];

extern vector2 left_tex[];
extern vector2 right_tex[];
extern vector2 top_tex[];
extern vector2 bottom_tex[];
extern vector2 back_tex[];
extern vector2 front_tex[];

#endif
